// const { SerialPort } = require('serialport')
// // Create a port
// const port = new SerialPort({
//   path: '/com16/tty-usbserial1',
//   baudRate: 9600,
// })

// port.on('readable', function () {
//     console.log('Data:', port.read())
//   })
  
//   // Switches the port into "flowing mode"
//   port.on('data', function (data) {
//     console.log('Data:', data.toString('UTF8'))
//   })

const http = require('node:http');
const { SerialPort } = require('serialport')
const { ReadlineParser } = require('@serialport/parser-readline')

const port = new SerialPort({ path: '/com16', baudRate: 9600 })

var str = "";

const parser = port.pipe(new ReadlineParser({ delimiter: '\r\n' }))
parser.on('data', (data) => {
    if (str != data) {
        console.log(data);
    }
    str = data;
})


// Create a local server to receive data from
const server = http.createServer((req, res) => {
  res.writeHead(200, { 'Content-Type': 'application/json' });
  res.end(str);
});

server.listen(2048);